<div class='row'>
	<div class='col-md-3'>
	</div>
	<div class='col-md-6'>
	</div>
	<div class='col-md-3'>
		<button type="button" class="btn btn-info" data-bs-toggle="modal" data-bs-target="#inviteConnections">
			Invite Connections
		</button>
	</div>
</div>

<!-- Modal -->
<div class="modal fade" id="inviteConnections" tabindex="-1" aria-labelledby="inviteConnectionsLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="inviteConnectionsLabel">Invite connections</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" id='newJob'>
        <div class='row'>
					<div class='col-md-12'>
						<%= form_tag("/search", :method => "get") do %>
							<%= text_field_tag :login_aei, "", class: 'form-control', placeholder: 'Search by name' %>
						<% end %>
					</div>
				</div>
				<div class='row mt-4'>
					<div class='col-md-8'>
						<div class='row'>
							<div class='col-md-12' style='border: 1px solid grey'>
								Filter options will go here
							</div>
						</div>
						<div class='row'>
							<div class='col-md-12'>
								<% @users.all.each do |user| %>
									<div class='row mt-2'>
										<div class='col-md-12'>
											<%= check_box_tag 'users[user-ids][]', user.id, nil, :id => "user-#{user.id}" %>
											<label for="user-<%= user.id %>"><%= user.name %></label>
										</div>
									</div>
								<% end %>
							</div>
						</div>
					</div>
					<div class='col-md-4'>
						<div class='row'>
							<div class='col-md-6'>
								<span id='selected-count'> 0 selected </span>
							</div>
							<div class='col-md-6'>
								<%= link_to 'Unselect all', 'javascript:void(0)', id: 'unselect-all' %>
							</div>
						</div>
						<div class='row mt-2'>
							<ul id='users-list'>
							</ul>
						</div>
					</div>
				</div>
      </div>
      <%# <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="submit" form="new_job" class="btn btn-primary">Post Job</button>
      </div> %>
    </div>
  </div>
</div>

<script type="text/javascript">
  $("input[name='users[user-ids][]']").change(function(){
		$("#users-list").append('<li> '+ $(this).next('label').text() +' <a href="javascript:void(0)" class="remove-user" id='+ $(this).attr('id') +'> <i class="fa fa-close"></i></a> </li>');

		selected_count()
  })

	function selected_count(){
		len = $("input[name='users[user-ids][]']:checked").length
		$('#selected-count').text( len + ' selected')
	}

	$(document).on('click', '.remove-user', function(){
		thisRef = $(this).closest('li')
		thisRef.remove()
		var id = $(this).attr('id')
		var checkid = $('#' + id);
 		checkid.prop("checked", false);
		selected_count()
	})

	$('#unselect-all').on('click', function(){
		$('.remove-user').trigger('click')
	})
</script>	